## nova 22.0.0

=== debian/changelog ===
nova (2:22.0.0-2) unstable; urgency=medium

  * Rename old policy.json instead of deleting it.
  * Set DEB_BUILD_OPTIONS: nocheck DEB_BUILD_PROFILES: nocheck in the
    debian/salsa-ci.yml file.
  * Do not package /etc/nova/policy.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2020 11:31:30 +0200

nova (2:22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix version depends on qemu (as Nova requires min 4.0 now).
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Oct 2020 12:04:08 +0200

nova (2:22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-requirements.txt.patch.
  * Switched to yaml policy file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2020 10:27:10 +0200

nova (2:21.1.0-2) unstable; urgency=medium

  * Add dosfstools as depends to nova-compute, needed for ephemeral storage.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 12:52:38 +0200

nova (2:21.1.0-1) unstable; urgency=medium

  * Replaced Suggests: python3-pygresql by python3-psycopg2 (Closes: #964473).
  * Runtime depends on qemu-system instead of just qemu (Closes: #966264).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 12:02:13 +0200

nova (2:21.0.0-3) unstable; urgency=medium

  * Blacklist NovaProxyRequestHandlerTestCase.test_tcp_rst_no_compute_rpcapi().
    Note the other unit test were repaired by the oslo.utils 4.1.1-4.
    (Closes: #963339).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jun 2020 10:59:40 +0200

nova (2:21.0.0-2) unstable; urgency=medium

  * Add missing --namespace oslo.privsep when generating nova.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 01:56:54 +0200

nova (2:21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:06:25 +0200

nova (2:21.0.0~rc2-1) unstable; urgency=medium

  * Also generate a policy.yaml example.
  * Add Add-a-healtcheck-url.patch.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 01:55:57 +0200

nova (2:21.0.0~rc1-4) experimental; urgency=medium

  * Fixed policy.json issue where the default generated one breaks everything.
    Now shipping an empty policy.json and let operators decide what to do.
    An example policy.json is shipped in /usr/share/nova-common.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2020 16:57:13 +0200

nova (2:21.0.0~rc1-3) experimental; urgency=medium

  * Add cgroup-tools as depends for nova-compute to allow Cinder QoS.
  * Correctly install systemd .service units.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 20:23:35 +0200

nova (2:21.0.0~rc1-2) experimental; urgency=medium

  * Build-Depends on python3-oslotest >= 4.2.0, as building with 4.1.0 fails.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 12:56:14 +0200

nova (2:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-svg-converter-from-doc-conf.py.patch.
  * Removed --with systemd from debian/rules.
  * Kill the xenvnc console proxy from nova-consoleproxy, and the nova-console
    package, as these are gone from upstream.
  * Kill some remainings of nova-network.
  * Removed installation of etc/nova/rootwrap.d/api-metadata.filters, as file
    doesn't exist anymore (probably switched to privsep).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 10:52:19 +0200

nova (2:20.1.1-1) unstable; urgency=medium

  * New upstream point release.
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:29:19 +0100

nova (2:20.0.0-5) unstable; urgency=medium

  * Do not fail nova-common.config when searching for DEFROUTE_IP and none is
    found.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2020 11:11:06 +0100

nova (2:20.0.0-4) unstable; urgency=medium

  * Updated nl.po debconf translations (Closes: #945027).
  * Fallback to using hostname -i when searching for my-ip, as if using a
    network setup with BGP, searching for default if doesn't work.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2020 10:39:59 +0100

nova (2:20.0.0-3) unstable; urgency=medium

  * Fix nova-xenvncproxy.init.in
    - Missing Should-start
    - Missing Should-stop
    - Caused service unit file was generated
      incorrect

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 05 Dec 2019 11:46:20 +0100

nova (2:20.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 22:30:28 +0200

nova (2:20.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Updated de.po debconf translation (Closes: #940260).
  * Updated da.po debconf translation (Closes: #923121).

  [ Michal Arbet ]
  * New upstream version

  [ Svein-Erik Skjelbred ]
  * Local changes to remedy errors/weknesses in nova-common.postinst.in
    and nova-common.prerm (Closes: #930999).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 16 Oct 2019 15:26:18 +0200

nova (2:20.0.0~rc1-3) experimental; urgency=medium

  * Remove bpython, ipython and git build-depends (Closes: #939014).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:40:20 +0200

nova (2:20.0.0~rc1-2) experimental; urgency=medium

  * Do not attempt to copy placement-policy.json in postinst.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 15:25:17 +0200

nova (2:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed remove-crashing-blockdiag-doc-line.patch.
  * Add fix-requirements.txt.patch.
  * Temporarily removed python3-sphinxcontrib.svg2pdfconverter, as it depends


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

NOVA_CONF=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst \
		debian/nova-api.config debian/nova-api.postinst debian/nova-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla
	rm -f debian/nova-api.templates debian/nova-common.templates
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm nova-common.postrm
	pkgos-merge-templates nova-api nova endpoint
	pkgos-merge-templates nova-common nova db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*virt\.xenapi.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.json.example \
		--format json \
		--namespace nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.yaml.example \
		--format yaml \
		--namespace nova

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler

	pkgos-readd-keystone-authtoken-missing-options $(NOVA_CONF) keystone_authtoken nova

	mkdir -p $(CURDIR)/debian/nova-common/etc/nova/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/etc/nova/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace nova

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_policy policy_dirs /etc/nova/policy.d


	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(NOVA_CONF) oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT security_group_api neutron
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT use_neutron True
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(NOVA_CONF) neutron default_floating_pool ext-net

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_type password
	pkgos-fix-config-default $(NOVA_CONF) neutron username admin
	pkgos-fix-config-default $(NOVA_CONF) neutron user_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron project_name admin
	pkgos-fix-config-default $(NOVA_CONF) neutron project_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron service_name neutron
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_url http://127.0.0.1:5000

	pkgos-fix-config-default $(NOVA_CONF) neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(NOVA_CONF) database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(NOVA_CONF) VNC enabled false
	pkgos-fix-config-default $(NOVA_CONF) VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice server_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(NOVA_CONF) spice enabled true

	# Set glance on localhost by default, to allow PoC to work
	pkgos-fix-config-default $(NOVA_CONF) glance api_servers http://localhost:9292

	# Works by default
	pkgos-fix-config-default $(NOVA_CONF) keystone_authtoken auth_protocol http

	# Cinder os_region_name set to regionOne as default value
	pkgos-fix-config-default $(NOVA_CONF) cinder os_region_name regionOne

	# Fixup a few default for the [placement] auth
	pkgos-fix-config-default $(NOVA_CONF) placement region_name regionOne
	pkgos-fix-config-default $(NOVA_CONF) placement project_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) placement project_name service
	pkgos-fix-config-default $(NOVA_CONF) placement auth_type password
	pkgos-fix-config-default $(NOVA_CONF) placement user_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) placement auth_url http://localhost:5000/v3
	pkgos-fix-config-default $(NOVA_CONF) placement username = placement

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install
	dh_missing --fail-missing -Xbin/nova-all -Xbin/nova-network

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf

## nova 22.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
decorator>=4.1.0 # BSD
eventlet>=0.22.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.20.0 # Apache-2.0
lxml>=4.5.0 # BSD
Routes>=2.3.1 # MIT
cryptography>=2.7 # BSD/Apache-2.0
WebOb>=1.8.2 # MIT
# NOTE(mriedem): greenlet 0.4.14 does not work with older versions of gcc on
# ppc64le systems, see https://github.com/python-greenlet/greenlet/issues/136.
greenlet>=0.4.15 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.13.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.7.1 # LGPLv2.1+
iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
keystoneauth1>=3.16.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
six>=1.11.0 # MIT
stevedore>=1.20.0 # Apache-2.0
websockify>=0.9.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.29.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
oslo.upgradecheck>=0.1.1
oslo.utils>=4.5.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.policy>=3.4.0 # Apache-2.0
oslo.privsep>=1.33.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.service>=1.40.1 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.35.0 # Apache-2.0
os-brick>=3.1.0 # Apache-2.0
os-resource-classes>=0.4.0 # Apache-2.0
os-traits>=2.4.0 # Apache-2.0
os-vif>=1.14.0 # Apache-2.0
os-win>=4.2.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
os-xenapi>=0.3.4 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
pypowervm>=1.1.15 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
os-service-types>=1.7.0 # Apache-2.0
taskflow>=3.8.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
zVMCloudConnector>=1.3.0;sys_platform!='win32'  # Apache 2.0 License
futurist>=1.8.0 # Apache-2.0
openstacksdk>=0.35.0 # Apache-2.0
dataclasses>=0.7;python_version=='3.6'  # Apache 2.0 License
PyYAML>=3.13 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:22.0.1-2+deb11u1) bullseye-security; urgency=medium

  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    cve-2022-47951-glance-stable-victoria.patch (Closes: #1029561).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2023 11:31:25 +0100

nova (2:22.0.1-2) unstable; urgency=medium

  * Add depend on python3-q-text-as-data (Closes: #990705).
  * Do not set [glance]/api_servers http://localhost:9292 as default: let
    Nova figure it out from the Keystone catalogue.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Jul 2021 12:57:03 +0200

nova (2:22.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:10:02 +0100

nova (2:22.0.0-3) unstable; urgency=medium

  * Exclude a number of tests which are failing under non-i386 buildd
    (Closes: #976590, #976954). See LP bug: 1909972.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 08:08:28 +0100

=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 genisoimage,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-coverage,
 python3-cryptography (>= 2.6),
 python3-cursive,
 python3-dateutil,
 python3-ddt (>= 1.2.1),
 python3-decorator,
 python3-eventlet (>= 0.22.),
 python3-fixtures,
 python3-futurist (>= 1.8.0),
 python3-gabbi,
 python3-glanceclient,
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-ironicclient (>= 3.0.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.16.0),
 python3-keystonemiddleware,
 python3-lxml (>= 4.5.0),
 python3-memcache,
 python3-microversion-parse,
 python3-migrate (>= 0.13.0),
 python3-mock (>= 3.0.0),
 python3-mysqldb,
 python3-netaddr,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref,
 python3-os-brick (>= 3.1.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-service-types (>= 1.7.0),
 python3-os-traits (>= 2.4.0),
 python3-os-vif (>= 1.14.0),
 python3-os-win (>= 4.2.0),
 python3-os-xenapi (>= 0.3.4),
 python3-oslo.cache,
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 2.22.0),
 python3-oslo.db (>= 0.44.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.4.0),
 python3-oslo.privsep (>= 1.33.2),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service (>= 1.40.1),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.35.0),
 python3-oslo.vmware,
 python3-oslotest (>= 1:4.2.0),
 python3-osprofiler,
 python3-paramiko (>= 2.7.1),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.8.0),
 python3-pypowervm,
 python3-requests (>= 2.23.0),
 python3-requests-mock,
 python3-retrying,
 python3-rfc3986 (>= 1.2.0),
 python3-routes,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr,
 python3-stevedore,
 python3-taskflow (>= 3.8.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-websockify (>= 0.9.0),
 python3-wsgi-intercept (>= 1.7.0),
 python3-zvmcloudconnector (>= 1.3.0),
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-amqplib,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 python3-openstackclient,
 python3-q-text-as-data,
 q-text-as-data,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-psycopg2,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 cgroup-tools,
 curl,
 dosfstools,
 ebtables,
 fdisk | util-linux (<< 2.29.2-3~),
 gawk,
 iptables,
 kpartx,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 dmidecode,
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient (>= 3.0.0),
 python3-libvirt,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-uml,
 nova-compute-xen,
Breaks:
 nova-compute-uml,
Replaces:
 nova-compute-uml,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt,
 qemu-block-extra (>= 1:5.0),
 qemu-system-x86 (>= 1:5.0),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Breaks:
 qemu-system-common (<< 1:4.0),
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt,
 qemu-system (>= 1:5.0),
 qemu-block-extra (>= 1:5.0),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Breaks:
 qemu-system-common (<< 1:4.0),
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - conductor service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova conductor service component.

Package: nova-consoleproxy
Architecture: all
Provides:
 nova-ajax-console-proxy,
 nova-novncproxy,
 nova-spicehtml5proxy,

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*virt\.xenapi.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*))'
+	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_get_disk_xml.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_detach_volume_with_vir_domain_affect_live_flag.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_update_volume_xml.*|.*console\.test_websocketproxy\.NovaProxyRequestHandlerTestCase\.test_tcp_rst_no_compute_rpcapi.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_rescue_with_config.*|.*virt\.libvirt\.test_blockinfo\.LibvirtBlockInfoTest\.test_get_disk_mapping_stable_rescue_ide_cdrom.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_connect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_disconnect.*|.*virt\.libvirt\.volume\.test_nvme\.LibvirtNVMEVolumeDriverTestCase\.test_libvirt_nvme_driver_get_config.*|.*virt\.libvirt\.volume\.test_scaleio\.LibvirtScaleIOVolumeDriverTestCase.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_cross_cell_move_rbd_flatten_fetch_image_cache.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_blk_controller_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_no_unmap.*|.*virt\.libvirt\.test_driver\.LibvirtConnTestCase\.test_check_discard_for_attach_volume_valid_controller.*|.*virt\.libvirt\.test_driver\.LibvirtDriverTestCase\.test_rbd_image_flatten_during_fetch_image_cache.*))'
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
@@ -138,29 +138,9 @@
 	pkgos-fix-config-default $(NOVA_CONF) spice server_proxyclient_address \$$my_ip
 	pkgos-fix-config-default $(NOVA_CONF) spice enabled true
 
-	# Set glance on localhost by default, to allow PoC to work
-	pkgos-fix-config-default $(NOVA_CONF) glance api_servers http://localhost:9292
-
 	# Works by default
 	pkgos-fix-config-default $(NOVA_CONF) keystone_authtoken auth_protocol http
 
 	# Cinder os_region_name set to regionOne as default value
 	pkgos-fix-config-default $(NOVA_CONF) cinder os_region_name regionOne
 
-	# Fixup a few default for the [placement] auth
-	pkgos-fix-config-default $(NOVA_CONF) placement region_name regionOne
-	pkgos-fix-config-default $(NOVA_CONF) placement project_domain_name default
-	pkgos-fix-config-default $(NOVA_CONF) placement project_name service
-	pkgos-fix-config-default $(NOVA_CONF) placement auth_type password
-	pkgos-fix-config-default $(NOVA_CONF) placement user_domain_name default
-	pkgos-fix-config-default $(NOVA_CONF) placement auth_url http://localhost:5000/v3
-	pkgos-fix-config-default $(NOVA_CONF) placement username = placement
-
-	rm debian/tmp/usr/bin/nova-api-os-compute
-	rm debian/tmp/usr/bin/nova-api-metadata
-
-	dh_install
-	dh_missing --fail-missing -Xbin/nova-all -Xbin/nova-network
-
-	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
-	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf

## nova 22.2.1

=== debian/changelog ===
nova (2:22.2.1-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/nova-compute-ironic.conf: Use the correct compute_driver for
    ironic (LP: #1934533).

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Victoria (LP: #1935029).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Jul 2021 13:26:56 +0000

nova (2:22.2.0-0ubuntu1) groovy; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1923035).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Apr 2021 13:58:44 +0000

nova (2:22.1.0-0ubuntu1) groovy; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1915785).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Feb 2021 13:30:38 +0000

nova (2:22.0.1-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Victoria (LP: #1906271).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 08:29:19 +0000

nova (2:22.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:30:57 -0400

nova (2:22.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 22.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:07:12 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu3) groovy; urgency=medium

  * d/nova-compute-libvirt.postinst: Ensure libvirt-qemu user is removed
    from nova group on package upgrade (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2020 09:11:54 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu2) groovy; urgency=medium

  * d/nova-compute-libvirt.postinst: Drop libvirt-qemu user from nova group.
    This is no longer needed with recent /var/lib/nova permission changes and
    causes live snapshots to fail (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2020 15:56:15 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 10:35:06 +0000

nova (2:22.0.0~b2~git2020073014.2f3a380c3c-0ubuntu2) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * d/control, d/nova-compute-ironic.conf, d/rules: Add nova-compute-ironic
    binary package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2020 16:25:06 -0400

nova (2:22.0.0~b2~git2020073014.2f3a380c3c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Drop min version of openstack-pkg-tools.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:43:37 -0400

nova (2:22.0.0~b1~git2020070713.bc784a1c1f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-mysql8-compatibility.patch: Removed. Change landed upstream.
  * d/p/arm-console-patch.patch: Refreshed.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Refreshed

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 07 Jul 2020 13:50:39 +0000

nova (2:21.0.0-0ubuntu3) groovy; urgency=medium

  * d/rules: Blacklist test_tcp_rst_no_compute_rpcapi.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2020 09:06:12 +0100

nova (2:21.0.0-0ubuntu2) groovy; urgency=medium

  * Correct file and directory permissions to ensure that instances
    can be stopped and started correctly (LP: #1885269):
    - d/nova-common.postinst: Reset file permissions under /var/lib/nova
      to 0644 and directory permissions to 0755 to ensure that instances
      can be stopped and started correctly with the workflow of ownership
      changes that occur between nova and libvirt/qemu.
    - d/nova-common.postinst: Don't force ownership to nova:nova.
    - d/nova-common.postinst: Reset ownership and permissions on
      console.log files to root:root and 0600.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2020 12:10:42 +0100

nova (2:21.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 21.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:00:09 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/nova/ nova-(22\.\d.*)\.tar\.gz
